# $Revision: 1.28.2.1 $, $Date: 2003/09/06 21:11:15 $
#
# Conditional build:
# _without_gimp	- without xpcd-gate plugin (not ready for gimp 1.3)
#
Summary:	PhotoCD tool collection
Summary(pl):	Narzdzia do obsugi formatu PhotoCD
Name:		xpcd
Version:	2.08
Release:	11
License:	GPL
Group:		X11/Applications/Graphics
Source0:	http://bytesex.org/misc/%{name}-%{version}.tar.gz
# Source0-md5:	23881054e9c469197fc7cc806255754e
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-FHS.patch
# gimp updates from http://www.adap.org/~edsel/software/xpcd-2.08-gimp1.2.tar.gz
Patch1:		%{name}-gimp1.2.patch
Patch2:		%{name}-gimp.patch
Patch3:		%{name}-version.patch
Patch4:		%{name}-env-overflow.patch
Patch5:		%{name}-app-defaults.patch
URL:		http://bytesex.org/xpcd.html
BuildRequires:	Xaw3d-devel >= 1.3E
BuildRequires:	autoconf
%{!?_without_gimp:BuildRequires:	gimp-devel >= 1.2}
BuildRequires:	libjpeg-devel
BuildRequires:	libpcd-devel >= 1.0.1
BuildRequires:	libtiff-devel
BuildRequires:	libtool
%ifarch %{ix86} alpha
BuildRequires:	svgalib-devel
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%if 0%{!?_without_gimp:1}
%define		gimpplugindir	%(gimptool --gimpplugindir)/plug-ins
%endif
# X11 resources must be installed with X11R6 prefix
%define		_xprefix	/usr/X11R6

%description
This is a PhotoCD tool collection. The main application - xpcd - is a
comfortable, X11-based PhotoCD decoding/viewing program. Also included
is pcdtoppm, this is a command line based PhotoCD-to-PPM/JPEG
converter.

%description -l pl
Zestaw narzdzi do obrbki formatu PhotoCD. Gwna aplikacja (xpcd)
jest programem pod X do dekodowania i ogldania obrazkw PhotoCD.
pcdtoppm jest konwerterem na ppm i jpg dziaajcym z linii polece.

%package svga
Summary:	svgalib viewer for PhotoCD images
Summary(pl):	Przegldarka PhotoCD korzystajca z svgalib
Group:		Applications/Graphics

%description svga
svgalib viewer for PhotoCD images.

%description svga -l pl
Przegldarka obrazkw PhotoCD korzystajca z svgalib.

%package gimp
Summary:	GIMP plugin, makes xpcd and gimp work hand in hand
Summary(pl):	Wtyczka do GIMP-a dodajca obsug xpcd
Group:		X11/Applications/Graphics
Requires:	%{name} = %{version}

%description gimp
This is a GIMP 0.99 plugin, it allows xpcd to load images directly
into The GIMP. If you'll open a PhotoCD file within gimp, it will be
passed to xpcd.

%description gimp -l pl
Wtyczka do GIMP-a >= 0.99, pozwalajca wczytywa obrazki PhotoCD
bezporednio do GIMP-a. Otworzenie GIMP-em pliku PhotoCD spowoduje
przekazanie go do xpcd.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%{__autoconf}
%configure \
%ifnarch %{ix86} alpha
	    --without-svga
%endif

%{__make} \
	SUBDIRS="xpcd test"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_applnkdir}/Graphics,%{_pixmapsdir}}

%{__make} install \
	SUBDIRS="xpcd test" \
	DESTDIR=$RPM_BUILD_ROOT \
	SUID_ROOT=

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Graphics
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README bench
%attr(755,root,root) %{_bindir}/pcdtoppm
%attr(755,root,root) %{_bindir}/xpcd
%{_applnkdir}/Graphics/*
%{_pixmapsdir}/*
%{_mandir}/man1/pcdtoppm.1*
%{_mandir}/man1/xpcd.1*
%dir %{_xprefix}/lib/X11/xpcd
%{_xprefix}/lib/X11/xpcd/system.xpcdrc
%{_xprefix}/lib/X11/app-defaults/Xpcd-2
%lang(da) %{_xprefix}/lib/X11/app-defaults/da/Xpcd-2
%lang(de) %{_xprefix}/lib/X11/app-defaults/de/Xpcd-2
%{_xprefix}/include/X11/pixmaps/xpcd-color.xpm
%{_xprefix}/include/X11/pixmaps/xpcd-gray.xpm

%ifarch %{ix86} alpha
%files svga
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pcdview
%attr(644,root,root) %{_mandir}/man1/pcdview.1*
%endif

%if 0%{!?_without_gimp:1}
%files gimp
%defattr(644,root,root,755)
%attr(755,root,root) %{gimpplugindir}/xpcd-gate
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xpcd.spec,v $
Revision 1.28.2.1  2003/09/06 21:11:15  ankry
- proper app-defaults dirs (-app-defaults patch), rel. 11

Revision 1.28  2003/08/18 22:02:43  qboosh
- added version patch (version number fixes from Debian) and env-overflow patch
  (fix for buffer overflow for HOME variable from Debian; overflow was harmless
   in PLD (svgalib w/o suid apps), but programs should never SEGV on bad input)
- release 10

Revision 1.27  2003/08/01 21:18:30  qboosh
- s/gimp-config/gimptool/ (needed for 1.3.17+), also in gimp patch
- build on libpcd 1.0.1
- release 9

Revision 1.26  2003/05/28 13:03:11  malekith
- massive attack: source-md5

Revision 1.25  2003/05/25 06:28:29  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.24  2003/05/11 13:09:34  qboosh
- added gimp1.2 patch (changes from xpcd-2.08-gimp1.2) to update for gimp 1.2
  w/o COMPAT_CRUFT
- modified gimp patch to work with gimp 1.2 and 1.3 (I hope)

Revision 1.23  2003/05/09 23:49:44  qboosh
- updated URLs
- removed shared patch, updated spec - now it uses external libpcd
- added _without_gimp bcond
- force rebuild with new libpcd and Xaw3d

Revision 1.22  2003/02/18 17:22:25  qboosh
- moved xpcd binary back to /usr (but X-resources must stay in /usr/X11R6)
- autodetect gimp plugin path

Revision 1.21  2002/12/02 11:06:29  ankry
- massive cleaning

Revision 1.20  2002/11/25 14:18:47  ankry
- massive attack: no need for 755 for *.la

Revision 1.19  2002/11/11 03:38:10  ankry
- added desktop and icon, rel. 7

Revision 1.18  2002/06/18 21:49:43  qboosh
- fixed on ix86

Revision 1.17  2002/06/18 21:08:56  kloczek
- cosmetics in %files,
- release 6.

Revision 1.16  2002/06/18 20:20:34  marcus
- fixed on ppc

Revision 1.15  2002/06/12 20:57:03  kloczek
- use new %doc and cosmetics.

Revision 1.14  2002/05/21 23:15:08  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.13  2002/04/24 22:23:59  marcus
- removed ppc - svga4ggi-devel doesn't provide vgagl.h

Revision 1.12  2002/04/24 22:21:43  marcus
- svgalib is on alpha and ppc too

Revision 1.11  2002/04/12 18:42:23  marcus
- rel.5.

Revision 1.10  2002/02/22 23:30:07  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/01/18 02:15:43  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/10/09 19:01:57  qboosh
- BuildRequires: libtool (used explicitely in makefiles)
- buildrequire svgalib-devel only on x86

Revision 1.7  2001/05/03 01:14:07  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.6  2001/03/14 17:44:16  qboosh
- 755 on .la file
- release 4

Revision 1.5  2001/03/07 19:04:00  qboosh
- spec cleanup

Revision 1.4  2001/03/07 00:56:16  qboosh
- added missing dir: %%{_xlibdir}/X11/xpcd
- pl translations
- release 3

Revision 1.3  2001/01/26 18:55:42  qboosh
- fixed libtool script
- release 2

Revision 1.2  2001/01/25 20:03:52  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.1  2001/01/05 23:43:36  qboosh
- prepared for PLD
- build both shared and static libraries
- libpcd*, -svga and -gimp subpackages
